We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Aspose.Barcode 1.8.2 issue in Java

Hello Team,

We have temporary license to read barcode images and using Aspose.BarCose 8.2.0 JAR in code.
Able to read barcode in local , but in higher environment we are getting below error.

[Fatal Error] :23:42: Open quote is expected for attribute “type” associated with an element type “LINK”.
21/09/2022 11:31:15.903: Exception occurred - Failed to set license. Details: Open quote is expected for attribute “type” associated with an element type “LINK”.
java.lang.Exception: Failed to set license. Details: Open quote is expected for attribute “type” associated with an element type “LINK”.
at com.aspose.barcode.License.setLicense(Unknown Source)

Thank You in advanced.

@TIK,

Since you are using an older version of Aspose.BarCode for Java API, so we are not sure if there is some issue regarding licensing module as you are using a temporary license. Please note temporary license will be expired after due time (e.g., 30 days). Anyways, we recommend you to kindly upgrade to and try our latest version/fix, Aspose.BarCode for Java 22.8 (Download | Maven). Also, either purchase a valid license or request for a new temporary license to work with newer versions.

Let us know with details if you still find any issue with newer version of Aspose.BarCode for Java.

Hello Team, Thanks for reply . My organization is using Java 8 on server side , after looking on Aspose website we decided to go closer version that is 8.2.0 support Java 8. Once our testing complete my organization will purchase a valid license. So will newer version support JDK 8 / 11?

@TIK,

Yes, newer versions do support >= JDK1.8.